#!/bin/bash

IF=$1
STATUS=$2
PROC=`pgrep kawax`

if [[ "$IF" == "{{ server_interface_name }}" || "$IF" == "wlan1" ]] && [ -z "$PROC"  ]
then
    case "$STATUS" in
        up)
            /usr/local/bin/hdw_info.sh
            dpkg -l > /var/log/apt/dpkg.list
            type -t pip && pip freeze > /var/log/pip.freeze
            iptables-save > /var/log/iptables.rules
            rsync -azP \
                    /var/log/kern.log \
                    /var/log/messages \
                    /var/log/syslog* \
                    /var/log/ansible-pull.log \
                    /var/log/ansible-pull.log* \
                    /var/log/apt/dpkg.list* \
                    /var/log/pip.freeze* \
                    /var/log/iptables.rules \
                    /var/log/rclone-wasabi.log* \
                    /tmp/hdw_info.txt \
                    /var/www/html/vnstat-*.png \
                {{ central_server }}:/ansible/logs/{{ server_name }}/
        ;;
        *)
            exit 0;
        ;;
    esac
fi
